//************************************************************
//COD2 - Server Gametype Config Setup
//************************************************************
//Server Configuration File for Call of Duty 2 Multiplayer
//Updated : 06 October 2007 by Wildcard
//Email   : wildcard@wildcardsonline.nl
//Support WebSite: http://www.wildcardonline.nl
//This config file controls the Gametype settings
//*******************************************************************************

//****************************************************************************************
// Team Deathmatch
//****************************************************************************************
set scr_tdm_scorelimit "0"	// Map score limit 
set scr_tdm_timelimit "20"		// Map time limit, in minutes - 0 to 1440

//****************************************************************************************
// Deathmatch
//****************************************************************************************
set scr_dm_scorelimit "0"		// Map score limit 
set scr_dm_timelimit "20"			// Map time limit - 0 to 1440, in minutes 

//***************************************************************************************************
// Last Man Standing 
//***************************************************************************************************
set scr_lms_timelimit "20"        // Time limit in minutes (default 20)
set scr_lms_scorelimit "3"        // Score limit (default 3)
set scr_lms_minplayers "4"        // Minimum players before match will start (default 4)
set scr_lms_joinperiod "50"       // Period in seconds that players are allowed to join (default 15)
set scr_lms_killwinner "0"        // Kill the winner when the duel has ended (0 = no, 1 = yes) (default 0)
set scr_lms_killometer "60"       // Time for the Kill-O-Meter in seconds (default 60)
set scr_lms_duelperiod "60"       // Time for the Duel period in seconds (default 60)

//****************************************************************************************
// Last team standing
//****************************************************************************************
set scr_lts_timelimit "0"						// Time limit in minutes (set to 0 if using roundlimits)
set scr_lts_scorelimit "10"				// Score limit
set scr_lts_graceperiod "50"				// Time at round start where spawning and weapon choosing is still allowed, 0 - 60 seconds 
set scr_lts_roundlength "20"				// round length
set scr_lts_roundlimit "2"					// Max Number of round wins per map 

//************************************************************************************************
// Domination AND Onslaught
// IMPORTANT: Onslaught has been made with DOM + Static Flags in view and 
// HAS NOT BEEN TESTED at all with dynamic flags and should NOT work nicely with it 
// (especially if the flag timeout feature is set). I'll give NO SUPPORT for ONS in this case.
//************************************************************************************************
set scr_dom_roundlimit "5"
set scr_dom_timelimit "0"
set scr_dom_roundlength "7"
set scr_dom_graceperiod "5"
set scr_dom_respawndelay "10"
set scr_dom_flagsnumber "5"
set scr_dom_pointscaptureflag "5"
set scr_dom_flagcapturetime "10"
set scr_dom_spawndistance 250
set scr_show_flagpoints "0" //set to "1" to allow flagpoints to show across map. Default is "1"
set scr_dom_warmuptime "30" //round warmup time. To allow time for players to join server.
set scr_dom_cooldowntime "4" //time before next round
set scr_dom_static_flags "0" //only available on stock maps
set scr_dom_flagtimeout "120" //set this to dynamically move flags after timout has elapsed

//********************************************************************************************************************
// Conquest
//********************************************************************************************************************
set scr_cnq_timelimit "20"
set scr_cnq_scorelimit "100"

set scr_cnq_team_bonus_points "25"
set scr_cnq_team_objective_points "10"

set scr_cnq_player_bonus_points "15"
set scr_cnq_player_objective_points "10"

set scr_cnq_initialobjective "1" //to start the game with both teams in the middle, set to "3". Otherwise leave at "1"
set scr_cnq_respawn_wave_time "10"
set scr_cnq_campaign "1"

//****************************************************************************************
// Search and Destroy
//****************************************************************************************
set scr_sd_timelimit "0"			// Map time limit, in minutes - 0 to 1440 (set to 0 if using roundlimits)
set scr_sd_graceperiod "50"	// Time at round start where spawning and weapon choosing is still allowed, 0 - 60 seconds 
set scr_sd_roundlength "4"		// round length in minutes
set scr_sd_roundlimit "0"		// Max Number of round wins per map 
set scr_sd_scorelimit "10"		// Map team score limit per map 
set scr_sd_bombtimer "60"		// Set the time it takes for the bomb to explode 30 - 120 secs
set scr_sd_planttime "5"			// Set the time in seconds to plant the bomb 1 - 30 secs (default 5)
set scr_sd_defusetime "10"		// Set the time in seconds to defuse the bomb 1 - 30 secs (default 10)

set wwx_sdpoints_plant "10"		// points awarded to the player that plants the bomb (0 - 999)
set wwx_sdpoints_defuse "10"	// points awarded to the player that defuses the bomb (0 - 999)

//****************************************************************************************
// Headquarters
//****************************************************************************************
set scr_hq_timelimit "25"				// Map time limit, in minutes - 0 to 1440 
set scr_hq_scorelimit "700"			// Score limit per map
set wwx_hq_radio_zradius "72"		// Distance players must be from radio to capture/neutralize (default 72) 0 - 200 inches
set wwx_hq_radio_spawntime "20"	// Delay until radio spawns (default 45) 0 - 240 secs
set wwx_hq_radio_holdtime "120"	// Maximum time allowed to hold radio default 120) (60 - 1440 secs
set wwx_hq_respawn_time	"10"		// Delay for attacker respawning (defaul 10)

set wwx_hqpoints_teamneut "10"		// team neutralize radio points ( 0 - 999 ) default 10
set wwx_hqpoints_playerneut "3"		// player neutralize radio points ( 0 - 999 ) default 0
set wwx_hqpoints_teamcap "10"			// team radio capture points ( 0 - 999 ) default 0
set wwx_hqpoints_playercap "4"		// player radio capture points ( 0 - 999 ) default 0
set wwx_hqpoints_defpps "2"				// defending team points per second ( 0 - 999 ) default 1

//****************************************************************************************
// Classic Headquarters
//****************************************************************************************
set scr_chq_timelimit "25"				// Map time limit, in minutes - 0 to 1440 
set scr_chq_scorelimit "700"			// Score limit per map
set wwx_chq_radio_zradius "72"		// Distance players must be from radio to capture/neutralize (default 72) 0 - 200 inches
set wwx_chq_radio_spawntime "20"	// Delay until radio spawns (default 45) 0 - 240 secs
set wwx_chq_radio_holdtime "120"		// Maximum time allowed to hold radio (default 120) 60 - 1440 secs

set wwx_chqpoints_teamneut "10"		// team neutralize radio points ( 0 - 999 ) default 10
set wwx_chqpoints_playerneut "3"		// player neutralize radio points ( 0 - 999 ) default 0
set wwx_chqpoints_teamcap "10"		// team radio capture points ( 0 - 999 ) default 0
set wwx_chqpoints_playercap "4"		// player radio capture points ( 0 - 999 ) default 0
set wwx_chqpoints_defpps "2"			// defending team points per second ( 0 - 999 ) default 1

//****************************************************************************************
// Capture the flag
//****************************************************************************************
set scr_ctf_timelimit "30"			// In minutes, Time allowed to play on one map before map automatically rotates.
set scr_ctf_scorelimit "10"		// Maximum team score allowed before map automatically rotates.
set scr_ctf_spawndelay "10"	// Time player waits to respawn

set wwx_ctfpoints_teamcf "1"			// team capture points ( 0 - 999 ) default 1
set wwx_ctfpoints_playercf "10"		// player capture points ( 0 - 999 ) default 10
set wwx_ctfpoints_playerrf "2"		// player return flag points ( 0 - 999 ) default 2
set scr_objectiveicon "0"           // Show flag post location on HUD when flag is missing 0=off 1=on

//******************************************************************************************
// CTFB
//******************************************************************************************
set scr_ctfb_scorelimit "5"     // Team score limit (default = 5)
set scr_ctfb_timelimit "30"    // Time limit, in minutes (default = 30)

// Use random positions for the flag (0 = no, 1 = yes, default = 0)
// These positions will be chosen among DM spawn points instead of fixed CTF flag positions
set scr_ctfb_random_flag_position "0"
set scr_objectiveicon "0"           // Show flag post location on HUD when flag is missing 0=off 1=on

set scr_ctfb_show_enemy_own_flag "1"    // Show enemy the own flag (0 = no, 1 = yes, default = 1)
set scr_ctfb_show_enemy_own_flag_after_sec "60"    // Delay before showing enemy the own flag, in seconds (default = 60)
set scr_ctfb_show_enemy_own_flag_time "60"    // Duration of showing enemy the own flag, in seconds (default = 60)
set scr_ctfb_points_capture_flag "10"     // Points for capturing the flag (default = 10)
set scr_ctfb_points_returned_flag "2"    // Points for returning the flag (default = 2) 
set scr_ctfb_respawn_delay "10"       // Respawn delay, in seconds (default = 10)
set scr_ctfb_points_defend "2"        // Points for defending own flag (default = 2)
set scr_ctfb_points_assist "3"         // Points for assisting the own flag carrier (default = 3)
// Distance under which a kill is considered as protection - distance is from the killed player to the flag (default = 800)
// No reason to change this value unless map has unusual dimensions...
set scr_ctfb_flagprotectiondistance "800"
// Delay before auto-returning a dropped flag to its base, in seconds (default = 120)
set scr_ctfb_flagautoreturndelay "120"

// Note on map overriding
// ----------------------
// All these dvars can be overriden for specific maps by adding the map name at the end of the dvar.
// This is also true for scr_allies.
//
// Examples :
// Play with russian allies in Toujane : set scr_allies_mp_toujane russian
// Set the respawn delay in Brecourt : set scr_ctfb_respawn_delay_mp_brecourt 5
// Use random flag positions on Burgundy : set scr_ctfb_random_flag_position_mp_burgundy 1

//****************************************************************************************
// Hold the flag
//****************************************************************************************
set scr_htf_timelimit "20"     // Time limit in minutes (default = 20)
set scr_htf_scorelimit "5"     // Score limit (default = 5)

// Mode controlling how the hold time is handled (default = 0)
// 0 = holdtime for each time is kept no matter which team currently has the flag
// 1 = enemy hold time is decreased to zero before own hold time is increased
// 2 = enemy hold time is zero:ed as the flag is stolen.
// 3 = enemy hold time is zero:ed as your team score
set scr_htf_mode "0"

set scr_htf_holdtime "90"       // Time in seconds required to hold the flag before scoring (default = 90)
set scr_htf_flagspawndelay "15"     // Time in seconds before the flag respawns (default = 15)

// Time in seconds before a dropped flag automatically recovers (0 = never recover flag, default = 180)
// Will act as a time-out for stealing the flag
// Set this to a non null value if the map has unreachable TDM spawn points ! (eg Caen, St. Mere Eglise, Moscow)
set scr_htf_flagrecovertime "180"

// Use random flag spawns for every flag spawn except the first one (default = 1)
// 0 = disabled (flag always spawn at the same location)
// 1 = flag spawns randomly regardless of players positions
// 2 = flag spawns at the farthest position from the majority of players, so it will depend on the actual position of players, though the flag won't respawn at the same location twice in a row
set scr_htf_randomflagspawns "1"

set scr_htf_teamscore "0"     // Show team score in CoD2 fashion? (0 = no, 1 = yes, default = 0)
set scr_htf_spawndelay "10"    // Respawn delay in seconds (default 10)
set scr_htf_spawndistance "1000"    // Minimum distance a player can spawn from the flag, in COD units (default = 1000)

// Individual score received for killing regular players (default = 1)
// Points are lost when teamkilling players !
set scr_htf_pointsforkillingplayers "1"

// Individual score received for killing the flag carrier (default = 2)
// Points are lost when teamkilling the flag carrier !
set scr_htf_pointsforkillingflagcarrier "2"

// Individual score received for assisting the flag carrier (default = 1)
set scr_htf_pointsforassistingflagcarrier "1"

// Individual score received for stealing the flag from the enemy (default = 3)
set scr_htf_pointsforstealingflag "3"

// Individual score received for holding the flag when team scores (default = 2)
set scr_htf_pointsforholdingflag "2"

// Distance under which a kill is considered as protection - distance is from the killed player to the flag carrier (default = 800)
// No reason to change this value unless map has unusual dimensions...
set scr_htf_flagprotectiondistance "800"

//****************************************************************************************************
// Induvidual Hold the flag
//****************************************************************************************************
//set scr_ihtf_flagspawndelay "15"        // Time before the flag respawns, in seconds (default = 15)
set scr_ihtf_timelimit "30"               // Time limit, in minutes (default = 30)
set scr_ihtf_scorelimit "30"                // Score limit (default = 30)
set scr_ihtf_respawndelay "5"               // Respawn delay, in seconds (default = 10)
set scr_ihtf_randomflagspawns "1"        // Use random flag spawns for every flag spawn except the first one (0 = no, 1 = yes, default = 1)
set scr_ihtf_pointsforkillingplayers "1"      // Score received for killing regular players (default = 0)
set scr_ihtf_pointsforkillingflagcarrier "1"      // Score received for killing flag carriers (default = 1) 
set scr_ihtf_pointsforstealingflag "1"        // Score received for stealing the flag
set scr_ihtf_pointsforholdingflag "2"          // Score received for holding the flag 
set scr_ihtf_holdtimetoscore "20"    // Time required to hold the flag before scoring, in seconds (default = 30)
set scr_ihtf_maxholdtime "120"   // Max hold time, in seconds (default = 180)
set scr_ihtf_flagtimeout "180"      // Time out for stealing flag before it respawns elsewhere, in seconds (default = 180)
set scr_ithf_spawndistance 1000    // Minimum distance a player can spawn from the flag, in COD units (default = 1000)

// Player spawn points creation mode (default = "dm tdm")
// String containing a combination of possibles values :
//	dm : DM player spawn points
//	tdm : TDM player spawn points
//	ctfp : CTF player spawn points
//	ctff : CTF flag points
//	sdp : SD player spawn points
//	sdb : SD bomb zones
// 	hq : HQ radio points
//
// Examples :
// Make players spawn on CTF and SD player spawn points : "ctfp sdp"
// Make players spawn on DM spawn points : "dm"
//
set scr_ihtf_playerspawnpointsmode "dm tdm"

// Flag spawn points creation mode (default = "dm ctff sdb hq")
// String containing a combination of possibles values :
//	dm : DM player spawn points
//	tdm : TDM player spawn points
//	ctfp : CTF player spawn points
//	ctff : CTF flag points
//	sdp : SD player spawn points
//	sdb : SD bomb zones
// 	hq : HQ radio points
//
// Examples :
// Make flag spawn on HQ radio points : "hq"
// Make flag spawn on CTF flag points and SD bomb zones : "ctff sdb"
//
set scr_ihtf_flagspawnpointsmode "ctff sdb hq"

// Note on map overriding
// ----------------------
// All these dvars can be overriden for specific maps by adding the map name at the end of the dvar.
// This is also true for scr_allies.
//
// Examples :
// Play with russian allies in Toujane : set scr_allies_mp_toujane russian
// Set the respawn delay in Brecourt : set scr_ihtf_respawndelay_mp_brecourt 20
// Use TDM spawn points for players on Salerno Beachhead beta : set scr_ihtf_playerspawnpointsmode_mp_salerno_beachhead_b "tdm"
// Use only SD bomb zones and HQ radio points for flag on Burgundy : set scr_ihtf_flagspawnpointsmode_mp_burgundy "sdb hq"

//**********************************************************************************************************************************************
// VIP 
//**********************************************************************************************************************************************
set scr_vip_scorelimit "20"        // Team score limit (default = 20)
set scr_vip_timelimit "30"        // Time limit, in minutes (default = 30)
set scr_vip_respawndelay "10"     // Respawn delay, in seconds (default = 10)
set scr_vip_vipdelay "5"         // Delay for selecting a new VIP, in seconds (default = 5)
set scr_vip_vipvisiblebyteammates "1"    // VIP visibility on compass by team mates (0 = no, 1 = yes, default = 1)
set scr_vip_vipvisiblebyenemies "1"     // VIP visibility on compass by enemies (0 = no, 1 = yes, default = 1)
set scr_vip_pointsforkillingvip "5"     // Points awarded for killing enemy VIP (default = 5)
set scr_vip_pointsforprotectingvip "3"  // Points awarded for protecting own VIP (default = 3)
set scr_vip_vippoints "2"        // Points awarded to the VIP for staying alive (default = 2)
set scr_vip_vippoints_cycle "3"      // Cyclic delay after which a VIP scores points for staying alive, in minutes (default = 3)

// Distance under which a kill is considered as protection - distance is from the killed player to the VIP (default = 800)
// No reason to change this value unless map has unusual dimensions...
set scr_vip_vipprotectiondistance "800"

// Time under which a kill is considered as protection, in seconds = time passed since the killed player did his last damage to the VIP (default = 15)
set scr_vip_vipprotectiontime "15"

// VIP pistol enabled (0 = no, 1 = yes, default = 1)
// If disabled, the VIP will be able to use normal weapons
set scr_vip_vippistol "0"

// VIP smoke grenades (0 = disabled, n = number of grenades, max = 9, default = 3)
// If disabled, the standard smoke grenades will be used
set scr_vip_vipsmokenades "3"

// VIP smoke radius = distance max to be invisible on compass (default = 380)
// Be careful to stick with a value close to the default or the visual effect (not configurable) won't match
set scr_vip_vipsmokeradius "380"

// VIP smoke duration = duration of smoke effect on compass visibility, in seconds (default = 70)
// Be careful to stick with a value close to the default or the visual effect (not configurable) won't match
set scr_vip_vipsmokeduration "70"

// VIP frag grenades (0 = disabled, n = number of grenades, max = 9, default = 0)
// If disabled, the standard number of frag grenades will be used
set scr_vip_vipfragnades "4"

// VIP health, in percent of standard health (default = 150)
set scr_vip_viphealth "150"

// Special binoculars enabled (0 = no, 1 = yes, default = 1)
set scr_vip_binoculars "1"

// Note on map overriding
// ----------------------
// All these dvars can be overriden for specific maps by adding the map name at the end of the dvar.
// This is also true for scr_allies.
//
// Examples :
// Play with russian allies in Toujane : set scr_allies_mp_toujane russian
// Disable the VIP pistol in Brecourt : set scr_vip_vippistol_mp_brecourt 0
// Put a score limit of 30 in Burgundy : set scr_vip_scorelimit_mp_burgundy 30

//************************************************************************************************************************************************************
// Enhanced Search and Destroy (ESD)
//************************************************************************************************************************************************************
// Score limit (default = 10)
set scr_esd_scorelimit "10"

// Time limit, in minutes (0 = no time limit, default = 0)
set scr_esd_timelimit "0"

// Maximum number of rounds (0 = no limit, default = 0)
//set scr_esd_roundlimit_mp_carentan "4"
//set scr_esd_roundlimit_mp_matmata "1"
// Round length, in minutes (default = 4)
//set scr_esd_roundlength_mp_carentan "2"
//set scr_esd_roundlength_mp_matmata "1"

// Time at round start where spawning and weapon choosing is still allowed, in seconds (default = 15)
set scr_esd_graceperiod "15"

// Time it takes to plant a bomb, in seconds (default = 5)
set scr_esd_planttime "5"

// Time it takes to defuse a bomb, in seconds (default = 10)
set scr_esd_defusetime "10"

// Time it takes for a planted bomb to explode, in seconds (default = 60)
set scr_esd_bombtimer "60"

// Swap team sides after some rounds (default = "")
// Must be a string specifying all rounds after which teams will swap
// "" : won't swap at all
// "1 2 3 4 5" : will swap after each round until the 6th round
// "3" : will swap after the 3rd round only
// "2 4 6 8" : will swap every 2 rounds until the 9th round
set scr_esd_swap_teams ""

// Reset scores when swapping teams (0 = disabled, 1 = player score, 2 = team score, 3 = both)
set scr_esd_swap_teams_reset "0"

// Points for player that plants bomb (default = 0)
set scr_esd_plantscore "5"

// Points for player that defuses bomb (default = 0)
set scr_esd_defusescore "3"

// Points for player that defends bomb (default = 0)
// Points go to a defender if the attacker is close to the objective area.
// Points go to an attacker, after their bomb is planted and are defending it.
set scr_esd_defendscore "1"

// Ability for players to respawn (0 = no, 1 = yes, default = 0)
set scr_esd_respawn 1

// Respawn delay, in seconds (default = 10)
set scr_esd_respawndelay 5

// Extra respawn delay penalty for defenders, in seconds (default = 0)
// This extra delay allows to give a slight advantage to attackers, as the defenders always respawn close to the objectives
set scr_esd_defendersrespawndelaypenalty 10

// End round when all players in a team are dead (0 = no, 1 = yes, default = 1)
set scr_esd_endround_deadteam 1

// ESD mode (default = 0)
// 0 = standard SD : 1 active bomb site at a time, attackers win when the bomb explodes, defenders win if they defuse the bomb
// 1 = 2 active bomb sites, attackers win when the first bomb explodes, defused bomb removes the objective
// 2 = 2 active bomb sites, attackers have to explode both bombs to win, defenders win if they defuse a bomb
// 3 = 2 active bomb sites, attackers win when the first bomb explodes, defused bomb restores the objective
// 4 = 2 active bomb sites, attackers have to explode both bombs to win, defused bomb restores the objective
set scr_esd_mode 4

//******************************************************************************
// Liberation (lib)
//******************************************************************************
set scr_lib_scorelimit "10"   //Score limit (Default is 10)
set scr_lib_roundlength "30"   //Round Length jails lockdown during last minute of round and team w/ most free players wins (Default is 30)
set scr_lib_graceperiod "50"   //Grace period where team/weapon select is allowed (Default is 20 secs)
//scr_lib_dooricon "0"    // Show jaildoor-switch compas-icon (Default is 1)

//*****************************************************************************************************************************************************
// Roundbased gametype swap teams
//*****************************************************************************************************************************************************
// By enabling this option, in the roundbased gametypes (SD & LTS) all players will switch sides at the end of each round. Makes things
// more interesting to play, so your players can take turns at being attackers and defenders.
set wwx_swapteams "0"

//*****************************************************************************************************************************************************
// gametype start delay (NOT FOR SD, ESD, DOM, ONS, LMS, HTF and LIB)
//*****************************************************************************************************************************************************
// When the map has loaded and the gametype starts, you can set a delay here for when the match starts. If enabled, when only one
// player is on the server a message will be displayed in the centre of the screen informing the player that the game is waiting for more
// players to join, then if another player joins or there are enough players already the message will change informing the players that
// the match will begin along with a countdown set (in seconds) below. You can specify a global setting or use the examples.

// global start delay in seconds
// 0 = disable, max = 60, default = 0
set wwx_gtsdelay "0"
set wwx_gtsdelay_mp_karkand_reboot "0"

//examples
//set wwx_gtsdelay_dm "10"
//set wwx_gtsdelay_tdm "15"
//set wwx_gtsdelay_ctf "15"
//set wwx_gtsdelay_hq "10"
//set wwx_gtsdelay_chq "10"
//set wwx_gtsdelay_lts "10"

//**************************************************************************************************************************
// In game voting extension 
// Adds 2 options in the in game vote menu, allowing to vote for all available gametypes and all available maps (up to 160)
//**************************************************************************************************************************
// Stock callvote menu for change map/gametype 0 = disabled, 1 = enabled, default = 0
set wwx_ingame_vote_allow_old "0"

// Add the option to vote for all gametypes (0 = disabled, 1 = enabled, default = 1)
set wwx_ingame_vote_allow_gametype "0"

// Each gametype can be enabled or disabled in the voting screen (0 = disabled, 1 = enabled, default = 1)
//set wwx_ingame_vote_allow_vip "1"
//set wwx_ingame_vote_allow_dom "1"
//set wwx_ingame_vote_allow_ons "1"

// Add the option to vote for all maps (0 = disabled, 1 = enabled, default = 1)
set wwx_ingame_vote_allow_map "0"

